ContourLinesPerSurface 属性 (ActiveX)
指定对象上每个曲面的等值线(等值线)数。 支持的平台:仅限 Windows 属性值只读:不 类型:整数 有效范围为 0 到 2047。 言论此属性的初始值为 4。 ContourLinesPerSurface 设置为 4 的圆环 ContourLinesPerSurface 设置为 20 的圆环 注意:此属性的值存储在 ISOLINES 系统变量中。
例子VBA: Sub Example_ContourLinesPerSurface() ' This example returns the current setting of ' ContourLinesPerSurface. It then changes the value, and finally ' it resets the value back to the original setting. Dim currContourLinesPerSurface As Integer Dim newContourLinesPerSurface As Integer ' Retrieve the current ContourLinesPerSurface value currContourLinesPerSurface = ThisDrawing.preferences.ContourLinesPerSurface MsgBox "The current value for ContourLinesPerSurface is " & currContourLinesPerSurface, vbInformation, "ContourLinesPerSurface Example" ' Change the value for ContourLinesPerSurface newContourLinesPerSurface = 2001 ThisDrawing.preferences.ContourLinesPerSurface = newContourLinesPerSurface MsgBox "The new value for ContourLinesPerSurface is " & newContourLinesPerSurface, vbInformation, "ContourLinesPerSurface Example" ' Reset ContourLinesPerSurface to its original value ThisDrawing.preferences.ContourLinesPerSurface = currContourLinesPerSurface MsgBox "The ContourLinesPerSurface value is reset to " & currContourLinesPerSurface, vbInformation, "ContourLinesPerSurface Example" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_ContourLinesPerSurface() ;; This example returns the current setting of ;; ContourLinesPerSurface. It then changes the value, and finally ;; it resets the value back to the original setting. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq preferences (vla-get-Preferences doc)) ;; Retrieve the current ContourLinesPerSurface value (setq currContourLinesPerSurface (vla-get-ContourLinesPerSurface preferences)) (alert (strcat "The current value for ContourLinesPerSurface is " (itoa currContourLinesPerSurface))) ;; Change the value for ContourLinesPerSurface (setq newContourLinesPerSurface 2001) (vla-put-ContourLinesPerSurface preferences newContourLinesPerSurface) (alert (strcat "The new value for ContourLinesPerSurface is " (itoa newContourLinesPerSurface))) ;; Reset ContourLinesPerSurface to its original value (vla-put-ContourLinesPerSurface preferences currContourLinesPerSurface) (alert (strcat "The ContourLinesPerSurface value is reset to " (itoa currContourLinesPerSurface))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 22:24
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.